package com.example.kotlinopengles32

import android.graphics.Point
import android.opengl.GLSurfaceView
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.view.MotionEvent

class MainActivity : AppCompatActivity() {

    private var mGLView: GLSurfaceView? = null
    private var mRenderer: MyGLRenderer? = null

    public override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        mGLView = GLSurfaceView(this)

        mGLView!!.setEGLContextClientVersion(3)

        mRenderer = MyGLRenderer(this)
        mGLView!!.setRenderer(mRenderer)
        setContentView(mGLView)
        val display = windowManager.defaultDisplay
        val point = Point()
        display.getSize(point)
        mRenderer?.mPoint = point
    }

    override fun onPause() {
        super.onPause()
        mGLView!!.onPause()
    }

    override fun onResume() {
        super.onResume()
        mGLView!!.onResume()
    }

    override fun onTouchEvent(e: MotionEvent): Boolean {
        return mRenderer!!.onTouchEvent(e)
    }
}
